org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraph.StarOutEdge

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarElement<Edge>
  - - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarEdge
    - - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarOutEdge

- All Implemented Interfaces:
    Edge, Element, Attachable<Edge>
  Enclosing class:
    StarGraph

      public final class StarGraph.StarOutEdge
      extends StarGraph.StarEdge

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `Edge.Exceptions`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarEdge

      `otherId`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarElement

      `id, label`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `DEFAULT_LABEL`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vertex` | `inVertex()` Get the incoming/head vertex of this edge.
    `Vertex` | `outVertex()` Get the outgoing/tail vertex of this edge.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarEdge

      `properties, property, remove, toString, vertices`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarElement

      `equals, get, graph, hashCode, id, label`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `bothVertices`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `graph, id, keys, label, property, value, values`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `attach`

- - ### Method Detail

    - #### outVertex

          public Vertex outVertex()

      Description copied from interface: `Edge`
      Get the outgoing/tail vertex of this edge.
      Returns:
        the outgoing vertex of the edge

    - #### inVertex

          public Vertex inVertex()

      Description copied from interface: `Edge`
      Get the incoming/head vertex of this edge.
      Returns:
        the incoming vertex of the edge

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.